% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/PomaLimma.R
\name{PomaLimma}
\alias{PomaLimma}
\title{Implementation of limma R Package on Mass Spectrometry Data}
\usage{
PomaLimma(
  data,
  contrast = NULL,
  covariates = FALSE,
  adjust = "fdr",
  cutoff = NULL
)
}
\arguments{
\item{data}{A MSnSet object. First \code{pData} column must be the subject group/type.}

\item{contrast}{A character with the limma comparison. For example, "Group1-Group2" or "control-intervention".}

\item{covariates}{Logical. If it's set to \code{TRUE} all metadata variables stored in \code{pData} will be used as covariables. Default = FALSE.}

\item{adjust}{Multiple comparisons correction method. Options are: "fdr", "holm", "hochberg", "hommel", "bonferroni", "BH" and "BY".}

\item{cutoff}{Default is NULL. If this value is replaced for a numeric value, the resultant table will contains only those features with an adjusted p-value below selected value.}
}
\value{
A data frame with limma results.
}
\description{
PomaLimma() uses the classical limma package for MS data.
}
\examples{
data("st000284")

st000284 \%>\%
  PomaNorm() \%>\%
  PomaLimma(contrast = "Healthy-CRC", adjust = "fdr")
}
\references{
Matthew E. Ritchie, Belinda Phipson, Di Wu, Yifang Hu, Charity W. Law, Wei Shi, Gordon K. Smyth, limma powers differential expression analyses for RNA-sequencing and microarray studies, Nucleic Acids Research, Volume 43, Issue 7, 20 April 2015, Page e47, https://doi.org/10.1093/nar/gkv007
}
\author{
Pol Castellano-Escuder
}
